Create a contact
curl --request POST \
--url https://api.example.com/v1/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"avatar": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"assigneeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tagIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.example.com/v1/contacts"
payload = {
"name": "<string>",
"avatar": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"assigneeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tagIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
avatar: '<string>',
phone: '<string>',
email: 'jsmith@example.com',
assigneeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
stageId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
tagIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.example.com/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"avatar": "<string>",
"notes": "<string>",
"status": "active",
"isBlocked": true,
"sourceMethod": "<string>",
"assigneeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lastInteractionAt": "2023-11-07T05:31:56Z"
}Contacts
Create a contact
The organization comes from your API key, so it is never sent in the body. A contact must be assigned to a member before it can be messaged.
POST
/
v1
/
contacts
Create a contact
Authorizations
Your API key, e.g. flv_9f2a8c1eā¦
Body
application/json
Response
Digits only, no + prefix
Available options:
active, archived Blocked contacts cannot send or receive messages
How the contact entered the system, e.g. MANUAL, IMPORT
Must be set before a message can be sent to this contact
Show child attributes
Show child attributes

